package com.qhtx.eta.domain.facade.impl;

import com.qhtx.eta.common.annotation.Facade;
import com.qhtx.eta.common.eunms.DataSourceType;
import com.qhtx.eta.common.eunms.ErrorEnum;
import com.qhtx.eta.common.exception.ETAException;
import com.qhtx.eta.domain.annotation.DomainTransDataSource;
import com.qhtx.eta.domain.entity.DWIndexDTO;
import com.qhtx.eta.domain.facade.ETAFacadeService;
import com.qhtx.eta.domain.service.DWIndexFrameService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
@Facade
public class ETAFacadeServiceImpl implements ETAFacadeService {

    @Resource
    private DWIndexFrameService dwIndexFrameService;


    @Override
    @DomainTransDataSource(dataSourceType = DataSourceType.DW)
    public void pushIndex(String indexCode) {
        DWIndexDTO dwIndexDTO = dwIndexFrameService.pushIndexToEta(indexCode);
        if (dwIndexDTO == null) {
            throw new ETAException(ErrorEnum.DW_INDEX_NOT_FOUND);
        }
    }
}
